Subject: openbook.ly extraire et transposer

From: jojo-monk <[email-masked]>
Date: Sat, 8 Jun 2013 08:52:25 -0700 (PDT)

Bonjour,

J'ai découvert ici :  https://github.com/veltzer/openbook
<https://github.com/veltzer/openbook>  
openbook.ly qui est un real book open source.

Je souhaiterais extraire un morceau du book et le transposer, existe-t-il un
moyen simple ?
Comment faire pour que lilypond ne compile que la partie qui m’intéresse ?

exemple : si je veux extraire cette partie :
\bookpart {

% this causes the variables to be defined...

% now play with the variables that depend on language

\tocItem \markup "The Girl From Ipanema / Antonio Carlos Jobim , Vincius De
Moraes, Norman Gimbel"

% taken from "/usr/share/lilypond/2.12.3/ly/titling-init.ly"
\markup {
	\column {
		\fill-line { "" }
		\override #'(baseline-skip . 3.5)
		\column {
			\huge \larger \bold
			\fill-line { \larger "The Girl From Ipanema" }
			\fill-line { \large \smaller \bold \larger "Garota De Ipanema" }
			\fill-line { \smaller \bold "" }
			\fill-line {
				"Lyrics by Vincius De Moraes, Norman Gimbel"
				"Music by Antonio Carlos Jobim"
			}
			\fill-line {
				"Moderate Bossa Nova"
				""
			}
		}
	}
}
\noPageBreak

% include the preparatory stuff, if there is any

% calculate the vars

% score for printing
\score {
	<<
\new ChordNames="Chords"
	\with {
		\remove "Bar_engraver"
	}

\chordmode {
	\startChords
	\startSong

	\mark "Intro"
	\startPart
	f1:6.9 | c2:m7 c:m6 | f1:6.9 | c2:m7 c:m6 | \myEndLine
	\endPart

	\mark "A"
	\startPart
	\repeat volta 2 {
		f1:maj7.9 | f1:maj7.9 | g1:13 | g1:13 | \myEndLine
		g1:m7.9 | ges1:7.5- |
	} \alternative {
		{
			f1:maj7.9 | ges1:7.5- | \myEndLine
		} {
			f1:maj7.9 | f1:maj7.9 | \myEndLine
		}
	}
	\endPart

	\mark "B"
	\startPart
	ges1:maj7 | ges1:maj7 | ces1:7.9 | ces1:7.9 | \myEndLine
	fis1:m7.9 | fis1:m7.9 | d1:7.9 | d1:7.9 | \myEndLine
	g1:m7.9 | g1:m7.9 | ees1:7.9 | ees1:7.9 | \myEndLine
	a1:m7 | d1:7.5-.9- | g1:m7 | c1:7.5-.9- | \myEndLine
	\endPart

	\mark "A"
	\startPart
	f1:maj7.9 | f1:maj7.9 | g1:7.13 | g1:7.13 | \myEndLine
	g1:m7.9 | ges1:7.5- | f1:maj7.9 | ges1:7.5- | \myEndLine
	f1:maj7.9 | ges1:7.5- | f1:maj7.9 | f1:maj7.9 | \myEndLine
	\endPart

	\endSong
	\endChords
}

% this thing will only engrave voltas. This is required to put the volta
under the chords.
% No great harm will happen if you don't put it, only the voltas will be
above the chords.
%\new Staff \with {
%	\consists "Volta_engraver"
%}
\new Staff="Melody" {
\new Voice="Voice"

\relative c' {
	\time 4/4
	\key f \major
	\clef treble
%% http://veltzer.net/blog/blog/2010/08/14/musical-tempo-table/
	\tempo "Allegro" 4 = 130

%% intro
	r1 * 4 |

%% A part
	\repeat volta 2 {
		g'4. e8 e4 d8 g~ | g4 e8 e~ e e d g~ |
		g4 e e d8 g~ | g g e e~ e e d f~ |
		f d4 d8~ d d c e~ | e c4 c8~ c c bes4 |
	} \alternative {
		{
			r4 c2.~ | c2 r2 |
		} {
			r4 c2.~ | c2 r2 |
		}
	}

%% B part
	f1~ | \times 2/3 {f4 ges f} \times 2/3 {ees4 f ees} |
	des4. ees8~ ees2~ | ees2. r8 gis~ |
	gis1~ | \times 2/3 {gis4 a gis} \times 2/3 {fis gis fis} |
	e4. fis8~ fis2~ | fis2. r8 a~ |
	a1~ | \times 2/3 {a4 bes a} \times 2/3 {g a g} |
	f4. g8~ g2~ | g2 \times 2/3 {r4 a bes} |
	\times 2/3 {c c, d} \times 2/3 {e f g} | gis2. a4 |
	\times 2/3 {bes bes, c} \times 2/3 {d e f} | fis2. r4 |

%% back to A part
	g4. e8 e4 d8 g8~ | g4 e8 e~ e e d g~ |
	g4 e e d8 g~ | g g e e~ e e d a'~ |
	a4. f8 f f d c'~ | c4. e,8 \times 2/3 {e4 e d} |
	e1 | r4 r8 e8 \times 2/3 {e4 e d} |
	e1 | r4 r8 e8 \times 2/3 {e4 e d} |
	e1~ | e2. r4 |
}

}
\new Lyrics="Lyrics" \lyricsto "Voice"

\lyricmode {
	Tall and tan and young and love -- ly,
	the Girl From I -- pa -- ne -- ma goes walk -- ing,
	and when she pass -- es, each one she pass -- es goes "ah!"

	"ah!"

	Oh, but I watch her so sad -- ly.
	How can I tell her I love her?
	Yes, I would give my heart glad -- ly,
	but each day when she walks to the sea,
	she looks straight a -- head not at me.

	Tall and tan and young and love -- ly,
	The Girl From I -- pa -- ne -- ma goes walk -- ing,
	and when she pass -- es I smile,
	but she does -- n't see.
	She just does -- n't see.
	No, she does -- n't see.
}

\new Lyrics="Lyrics" \lyricsto "Voice"

\lyricmode {
	When she walks she's like a Sam -- ba
	that swings so cool and sways _ so gen -- tle,
	that when she pass -- es, each one she pass -- es goes
}

	\layout {
	}
}

\noPageBreak
\markup \column {
%% just a little space
	\null
	\fill-line {
		\smaller \smaller { "Copyright © 1963, Antonio Carlos Jobim and Vincius De
Moraes, Brazil" }
	}
}

% this is just a small space, maybe we should replace this with a page
break?
% TODO: at the very end of the book this should not appear. 
%\markup {
%	\null
%	\null
%}
}

J'aimerais aussi rajouter mes propres partitions à l'openbook, le problème
c'est que je n'ai pas du tout la même manière de coder...

Merci

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/openbook-ly-extraire-et-transposer-tp7579950.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.